<ActionTemplates>
   <Action>
      <Name>RadioButton.GetChecked</Name>
      <Description>Returns true if a specific radiobutton object is checked, or false if it's unchecked.</Description>
      <ReturnValueType>boolean</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.GetPos</Name>
      <Description>Returns the X and Y page coordinates of a radiobutton object in pixels.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.GetProperties</Name>
      <Description>Returns a table containing the properties of the specified object.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.GetSize</Name>
      <Description>Returns the pixel dimensions of an radiobutton object.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.GetText</Name>
      <Description>Returns the text displayed on a radiobutton object.</Description>
      <ReturnValueType>string</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.IsEnabled</Name>
      <Description>Returns true if a specific radiobutton object is enabled, or false if it's disabled.</Description>
      <ReturnValueType>boolean</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.IsVisible</Name>
      <Description>Returns true if a specific radiobutton object is visible, and false if it isn't.</Description>
      <ReturnValueType>boolean</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.SetChecked</Name>
      <Description>Sets the checked/unchecked state of an radiobutton object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Checked</Name>
            <Description>Whether to make the radiobutton object checked or unchecked.</Description>
            <Type>boolean</Type>
            <Default>true</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>true</Default>
               <DataType>boolean</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.SetEnabled</Name>
      <Description>Sets the enabled/disabled state of an radiobutton object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Enabled</Name>
            <Description>Whether to make the radiobutton object enabled or disabled.</Description>
            <Type>boolean</Type>
            <Default>true</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>true</Default>
               <DataType>boolean</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.SetPos</Name>
      <Description>Sets the X and Y pixel coordinates of an radiobutton object relative to the page.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>X</Name>
            <Description>The new X pixel coordinate (horizontal position) to set for the radiobutton object. This is the X coordinate of the upper left hand corner of the object's bounding box relative to the page.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>0</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Y</Name>
            <Description>The new Y pixel coordinate (vertical position) to set for the radiobutton object. This is the Y coordinate of the upper left hand corner of the object's bounding box relative to the page.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>0</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.SetProperties</Name>
      <Description>Sets the properties of a radiobutton object on the page.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Properties</Name>
            <Description>A table containing the properties you want to modify in the radiobutton object, indexed by name.</Description>
            <Type>table</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>nil</Default>
               <DataType>table</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.SetSize</Name>
      <Description>Sets the size of a radiobutton object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Width</Name>
            <Description>The new width of the radiobutton object.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>200</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Height</Name>
            <Description>The new height of the radiobutton object.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>15</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.SetText</Name>
      <Description>Sets the text displayed on a radiobutton object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object to set.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Text</Name>
            <Description>The text to display.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>"RadioButton Text"</Default>
               <DataType>string</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>RadioButton.SetVisible</Name>
      <Description>Sets the visibility of a radiobutton object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the radiobutton object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>radiobutton</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Visible</Name>
            <Description>Whether to make the radiobutton object visible or invisible.</Description>
            <Type>boolean</Type>
            <Default>true</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>true</Default>
               <DataType>boolean</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
</ActionTemplates>
